### Type parameters

- #### T: Layout

### Hierarchy

- JsonFormsBaseRenderer<T>
  - LayoutRenderer
    - GroupLayoutRenderer
    - HorizontalLayoutRenderer
    - VerticalLayoutRenderer

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- changeDetectionRef
- hidden
- jsonFormsService
- path
- schema
- subscription
- uischema

### Accessors

- renderProps

### Methods

- getOwnProps
- ngOnDestroy
- ngOnInit
- trackElement

## Constructors

### constructor

- new LayoutRenderer(jsonFormsService: JsonFormsAngularService, changeDetectionRef: ChangeDetectorRef): LayoutRenderer

- - Defined in angular-material/src/layouts/layout.renderer.ts:42

  #### Parameters

  - ##### jsonFormsService: JsonFormsAngularService

  - ##### changeDetectionRef: ChangeDetectorRef

  #### Returns LayoutRenderer

## Properties

### Protected changeDetectionRef

changeDetectionRef: ChangeDetectorRef

- Defined in angular-material/src/layouts/layout.renderer.ts:44

### hidden

hidden: boolean

- Defined in angular-material/src/layouts/layout.renderer.ts:41

### Private jsonFormsService

jsonFormsService: JsonFormsAngularService

- Defined in angular-material/src/layouts/layout.renderer.ts:44

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in angular/lib/base.renderer.d.ts:5

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in angular/lib/base.renderer.d.ts:4

### Private subscription

subscription: Subscription

- Defined in angular-material/src/layouts/layout.renderer.ts:42

### uischema

uischema: T

Inherited from JsonFormsBaseRenderer.uischema

- Defined in angular/lib/base.renderer.d.ts:3

## Accessors

### renderProps

- get renderProps(): OwnPropsOfRenderer[]

- - Defined in angular-material/src/layouts/layout.renderer.ts:64

  #### Returns OwnPropsOfRenderer[]

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in angular-material/src/layouts/layout.renderer.ts:58

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in angular-material/src/layouts/layout.renderer.ts:48

  #### Returns void

### trackElement

- trackElement(_index: number, renderProp: OwnPropsOfRenderer): string

- - Defined in angular-material/src/layouts/layout.renderer.ts:75

  #### Parameters

  - ##### _index: number

  - ##### renderProp: OwnPropsOfRenderer

  #### Returns string

Generated using TypeDoc